Subject: Re: bug#13010: 24.2; Gnus hangs getting mail

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Mon, 31 Dec 2012 15:53:59 +0100

Stefan Monnier <[email-masked]> writes:

> But we still only need one message per backend: basically every time
> a backend ends, state either which backend ended or which backends are
> still busy.

I don't really see that helping much.  When opening the server, that may
take time, so we should say "Opening imap.gmail.com".  Then we probably
open a different server.  Then we issue commands to Gmail, which may
hang, so we should say "Retrieving group data from imap.gmail.com".
Then we issue similar commands to other servers.  Then we wait for the
data from Gmail, which will most likely block, so we should say "Waiting
for data from imap.gmail.com".

Multiply that by six servers, and you get a constant flutter in the
minibuffer if none of these commands actually hand.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/